Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v3
Class FreeInformationsType

    java.lang.Object
      be.fgov.ehealth.ehbox.core.v3.FreeInformationsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:08:52+02:00",
               comments="JAXB RI v2.2.11")
    public class FreeInformationsType

extends Object
implements Serializable

Free Informations added by the user to a message. Can be one of the 3 tpes: FreeText, Table or OldFreeInformation

Java class for FreeInformationsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FreeInformationsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="EncryptableFreeText" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="Table">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="Row" maxOccurs="unbounded">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <sequence>
                                 <choice>
                                   <element name="EncryptableLeftCell" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                                 </choice>
                                 <choice>
                                   <element name="EncryptableRightCell" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                                 </choice>
                               </sequence>
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                     <attribute name="Title" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="EncryptableOldFreeInformation">
               <complexType>
                 <simpleContent>
                   <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
                     <attribute name="Render" use="required">
                       <simpleType>
                         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                           <minLength value="1"/>
                         </restriction>
                       </simpleType>
                     </attribute>
                   </extension>
                 </simpleContent>
               </complexType>
             </element>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FreeInformationsType()`

Method Summary
`byte[]` | `getEncryptableFreeText()` Gets the value of the encryptableFreeText property.
`EncryptableOldFreeInformation` | `getEncryptableOldFreeInformation()` Gets the value of the encryptableOldFreeInformation property.
`Table` | `getTable()` Gets the value of the table property.
`void` | `setEncryptableFreeText(byte[] value)` Sets the value of the encryptableFreeText property.
`void` | `setEncryptableOldFreeInformation(EncryptableOldFreeInformation value)` Sets the value of the encryptableOldFreeInformation property.
`void` | `setTable(Table value)` Sets the value of the table property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreeInformationsType

    public FreeInformationsType()

Method Detail

### getEncryptableOldFreeInformation

    public EncryptableOldFreeInformation getEncryptableOldFreeInformation()

  Gets the value of the encryptableOldFreeInformation property.

  Returns:
    possible object is `EncryptableOldFreeInformation`

### setEncryptableOldFreeInformation

    public void setEncryptableOldFreeInformation(EncryptableOldFreeInformation value)

  Sets the value of the encryptableOldFreeInformation property.

  Parameters:
    `value` - allowed object is `EncryptableOldFreeInformation`

### getTable

    public Table getTable()

  Gets the value of the table property.

  Returns:
    possible object is `Table`

### setTable

    public void setTable(Table value)

  Sets the value of the table property.

  Parameters:
    `value` - allowed object is `Table`

### getEncryptableFreeText

    public byte[] getEncryptableFreeText()

  Gets the value of the encryptableFreeText property.

  Returns:
    possible object is byte[]

### setEncryptableFreeText

    public void setEncryptableFreeText(byte[] value)

  Sets the value of the encryptableFreeText property.

  Parameters:
    `value` - allowed object is byte[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.